import type { Environment, Options, SerializedOptions } from '../types.js';
import type { PersistedOptions } from '../config-file.js';
export declare function createPackageAdditions(originalPackageJson: Record<string, any>, currentPackageJson: Record<string, any>): Record<string, any>;
export declare function createAppOptionsFromPersisted(json: PersistedOptions): Promise<Options>;
export declare function createSerializedOptionsFromPersisted(json: PersistedOptions): SerializedOptions;
export declare function runCreateApp(options: Required<Options>): Promise<import("../environment.js").MemoryEnvironmentOutput>;
export declare function compareFilesRecursively(path: string, ignore: (filePath: string) => boolean, original: Record<string, string>, changedFiles: Record<string, string>): Promise<void>;
export declare function readCurrentProjectOptions(environment: Environment): Promise<PersistedOptions>;
